Bug 971154 - [RFE] Add ISO upload support to the admin client
[RFE] Add ISO upload support to the admin client
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: iso-support (Show other bugs)
2.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Randy Barlow
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 15:53 EDT by Randy Barlow
Modified: 2013-09-10 11:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:44:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2013-06-05 15:53:58 EDT

    
Comment 1 Randy Barlow 2013-06-05 18:13:42 EDT
https://github.com/pulp/pulp_rpm/pull/229
Comment 2 Jeff Ortel 2013-06-06 12:19:53 EDT
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.
Comment 3 Jeff Ortel 2013-06-11 10:15:38 EDT
build: 2.2.0-0.3.beta
Comment 4 Preethi Thomas 2013-06-11 16:50:43 EDT
[root@hp-dl360g6-01 ~]# pulp-admin iso repo uploads
Usage: pulp-admin [SUB_SECTION, ..] COMMAND
Description: upload ISOs into a repository

Available Commands:
  cancel - cancels an outstanding upload request
  list   - lists in-progress and paused uploads
  resume - resume a paused upload request
  upload - uploads one or more ISOs into a repository
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]# pulp-admin iso repo uploads upload --repo-id iso-upload --file /root/iso/test.iso 
+----------------------------------------------------------------------+
                              Unit Upload
+----------------------------------------------------------------------+

Extracting necessary metadata for each request...
[==================================================] 100%
Analyzing: test.iso
... completed

Creating upload requests on the server...
[==================================================] 100%
Initializing: test.iso
... completed

Starting upload of selected units. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: test.iso
[==================================================] 100%
3145728/3145728 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]# pulp-admin iso repo uploads upload --repo-id iso-upload --dir iso/ -v
+----------------------------------------------------------------------+
                              Unit Upload
+----------------------------------------------------------------------+

Extracting necessary metadata for each request...
[==================================================] 100%
Analyzing: test2.iso
... completed

Files to be uploaded:
  test.iso
  test3.iso
  PULP_MANIFEST
  test2.iso

Creating upload requests on the server...
[==================================================] 100%
Initializing: test2.iso
... completed

Starting upload of selected units. If this process is stopped through ctrl+c,
the uploads will be paused and may be resumed later using the resume command or
cancelled entirely using the cancel command.

Uploading: test.iso
[==================================================] 100%
3145728/3145728 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Uploading: test3.iso
[==================================================] 100%
3244032/3244032 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Uploading: PULP_MANIFEST
[==================================================] 100%
248/248 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

Uploading: test2.iso
[==================================================] 100%
4358144/4358144 bytes
... completed

Importing into the repository...
... completed

Deleting the upload request...
... completed

[root@hp-dl360g6-01 ~]#
Comment 5 Preethi Thomas 2013-09-10 11:44:22 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.